/*
#pragma ident "@(#)PrivilegeViolationException.java	1.3      97/01/22     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony;

/**
 * An action on or related to a certain object failed because the application
 * did not have proper security permissions to execute that command.
 */ 

public class PrivilegeViolationException extends Exception {

  private int _type;

  /**
   * A privilege violation occurred on the originator
   */
  public static final int ORIGINATOR_VIOLATION = 0;

  /**
   * A privilege violation occurred on the destination
   */
  public static final int DESTINATION_VIOLATION = 1;


  /**
   * Constructor, take a type but no string.
   */
  public PrivilegeViolationException(int type) {
    super();
    _type = type;
  }


  /**
   * Constructor, takes a type and a string.
   */
  public PrivilegeViolationException(int type, String s) {
    super(s);
    _type = type;
  }

  /**
   * Returns the type.
   */
  public int getType() {
    return _type;
  }
}
