/*
#pragma ident "@(#)CallCenterProvider.java	1.8      97/02/03     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcenter;
import java.telephony.*;

/**
 * The CallCenterProvider interface extends the core Provider class.
 */
public interface CallCenterProvider extends Provider
{
  /**
   *  Returns the list of Addresses routeable by the provider. An exception is
   *  generated if the Provider is not in service.
   */
  public RouteAddress[] getRouteableAddresses()
    throws PlatformException;

  /**
   *  Returns the list of ACDAddresses in the providers domain. An exception
   *  is generated if the Provider is not in service.
   */
  public ACDAddress[] getACDAddresses()
    throws PlatformException;

  /**
   *  Returns the list of ACDManagerAddresses in the providers domain. An exception
   *  is generated if the Provider is not in service.
   */
  public ACDManagerAddress[] getACDManagerAddresses()
    throws PlatformException;
}
