/*
#pragma ident "@(#)AgentTerminalCapabilities.java	1.6      97/01/22     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcenter.capabilities;
import  java.telephony.callcontrol.capabilities.CallControlTerminalCapabilities;

/**
 * The AgentTerminalCapabilities interface extends the
 * CallControlTerminalCapabilities interface. This interface provides
 * capabilities methods for the AgentTerminal object in the callcenter package.
 * Applications query these methods to find out what actions are possible
 * on the AgentTerminal object.
 */

public interface AgentTerminalCapabilities extends CallControlTerminalCapabilities {

  /**
   * Returns true if the application is permitted to add or change the
   * agents associated with the AgentTerminal interface, using the
   * AgentTerminal.setAgents() method.
   * <p>
   * @return True if the application it permitted to control the agent
   * information on the AgentTerminal object.
   */
  public boolean canSetAgents();
}
