/*
#pragma ident "@(#)CallCenterCallCapabilities.java	1.7      97/02/03     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcenter.capabilities;
import  java.telephony.callcontrol.capabilities.CallControlCallCapabilities;
 
/** 
 * The CallCenterCallCapabilities interface extends the
 * CallControlCallCapabilities interface. This interface provides capabilities
 * methods for the CallCenterCall object in the callcenter package.
 * Applications query these methods to find out what actions are possible on
 * the CallCenterCall object.
 */

public interface CallCenterCallCapabilities extends CallControlCallCapabilities {

  /**
   * Returns true if the application can invoke the connectPredictive()
   * method, false otherwise.
   * <p>
   * @return True if the application can invoke the connectPredictive() method,
   * false otherwise.
   */
  public boolean canConnectionPredictive();


  /**
   * Returns true if the application is permitted to set the application
   * data for this call, false otherwise.
   * <p>
   * @return True if the application can set the application data for this
   * call, false otherwise.
   */
  public boolean canSetApplicationData();

  /*
   * Returns TRUE when the application is allowed to get Trunks
   * @rerutn TRUE if application is allowed to get Trunks, false
   * otherwise.
   */
  public boolean canGetTrunks();

  /**
    * Returns true if getApplicationData and setApplicationData is implemented.
    */
  boolean canHandleApplicationData();

}
