/*
#pragma ident "@(#)ACDAddrEv.java	1.5      96/11/03     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcenter.events;
import  java.telephony.Address;
import  java.telephony.PlatformException;
import  java.telephony.events.AddrEv;
import  java.telephony.callcenter.*;

/**
 * ACDAddressEvent encapsulates a ACD event and is sent to ACD Address
 * observers.
 */

public interface ACDAddrEv extends CallCentEv, AddrEv
{
    /**
     * This returns the Agent's Terminal.
     */
    public AgentTerminal getAgentTerminal();

    /**
     * This returns the Agent's ID.
     */
    public String getAgentID();

    /**
     * This returns the Agent's state.
     */
    public int getState();

    /**
     * This returns the Agent's Address that is associated
     * with the given AgentTerminal.
     */
     public Address getAgentAddress();

  /**
   * Returns an array of all Trunks currently being used for this Call.
   * If there are no Trunks being used, this method returns null.
   * <p>
   * @return An array of Trunks, null if there are
   * none.
   * @exception PlatformException A platform-specific exception occurred.
   */
  public CallCenterTrunk[] getTrunks()
    throws PlatformException;


}
