/*
#pragma ident "@(#)AgentTermEv.java	1.5      96/11/03     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcenter.events;
import  java.telephony.Address;
import  java.telephony.events.TermEv;
import  java.telephony.callcenter.*;

/**
 * AgentTerminalEvent encapsulates a ACD event and is sent to
 * AgentTerminal observers.
 */

public interface AgentTermEv extends CallCentEv, TermEv
{
    /**
     * This returns the ACDAddress the agent is or
     * was logged into.
     */
    public ACDAddress getACDAddress();

    /**
     * This returns the Agent's ID.
     */
    public String getAgentID();

    /**
     * This returns the Agent's state.
     */
    public int getState();

    /**
     * This returns the Agent's Address that is associated
     * with the given AgentTerminal.
     */
     public Address getAgentAddress();

}
