/* Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcenter.events;
import  java.telephony.events.CallEv;
import  java.telephony.callcenter.CallCenterTrunk;
import  java.telephony.PlatformException;

public interface CallCentCallEv extends CallCentEv, CallEv {

  /**
   * Returns an array of all Trunks currently being used for this Call.
   * If there are no Trunks being used, this method returns null.
   * <p>
   * @return An array of Trunks, null if there are
   * none.
   * @exception PlatformException A platform-specific exception occurred.
   */
  public CallCenterTrunk[] getTrunks()
    throws PlatformException;

}

