/* Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcenter.events;
import  java.telephony.events.Ev;

public interface CallCentEv extends Ev {

  /**
   * This cause indicates no agents were available to handle the call.
   */
   public static final int CAUSE_NO_AVAILABLE_AGENTS = 302;


  /**
   * Returns the call center and core causes associated with this 
   * call center event. 
   * Every event has a cause. The various cause values are defined as public
   * static final variablies in this interface, with the exception of
   * CAUSE_NORMAL and CAUSE_UNKNOWN, which are defined in the core.
   *
   * <p>
   * @return The cause of the event.
   */
  public int getCallCenterCause();
}

