/*
#pragma ident "@(#)RtEv.java	1.5      96/11/03     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcenter.events;
import  java.telephony.*;
import  java.telephony.callcenter.RouteAddress;

/**
 * The RouteEvent interface encapsulates a routing event.
 */

public interface RouteEvent extends RouteSessionEvent {

    /**
     * This is an enumeration of route select algorithms.
     */

    /**
     * Select a normal route.
     */
    public final static int SELECT_NORMAL = 0;
    /**
     * Select a least cost route.
     */
    public final static int SELECT_LEAST_COST = 1;
    /**
     * Select an emergency route.
     */
    public final static int SELECT_EMERGENCY = 2;
    /**
     * Select a route to an ACDAddress.
     */
    public final static int SELECT_ACD = 3;
    /**
     * Select a user defined route.
     */
    public final static int SELECT_USER_DEFINED = 4;

    /**
     * This returns the originally requested destination for
     * the call.
     */
    public RouteAddress getCurrentRouteAddress();

    /**
     * This returns the calling Address.
     */
    public Address getCallingAddress();

    /**
     * This returns the calling Terminal.
     */
    public Terminal getCallingTerminal();

    /**
     * This returns the route select algorithm being used.
     */
    public int getRouteSelectAlgorithm();

    /**
     * This returns the ISDN call setup message when available.
     */
    public String getSetupInformation();

}
