/*
#pragma ident "@(#)RtUsedEv.java	1.5      96/11/03     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcenter.events;
import  java.telephony.*;

/**
 * The RouteUsedEvent interface encapsulates a route used event.
 */

public interface RouteUsedEvent extends RouteSessionEvent {

   /**
     * This returns the final destination Terminal.
     */
    public Terminal getRouteUsed();

    /**
     * This returns the calling Terminal.
     */
    public Terminal getCallingTerminal();

    /**
     * This returns the calling Address.
     */
    public Address getCallingAddress();

    /**
     * This returns true if the call was routed out of the
     * provider's domain.
     */
    public boolean getDomain();

 }
