/*
 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcontrol;
import  java.telephony.AddressObserver;

/**
 * The CallControlAddressObserver reports all events for the 
 * CallControlAddress object. Note that this interface does not support any
 * method. Application which want CallControlAddress events should instantiate
 * an object which implements this interface. Because this interface extends
 * the telehpony.AddressObserver interface, all events are reported via the
 * <EM>AddressObserver.addressChangedEvent</EM> method. Therefore, all
 * CallControlAddress events must extend the telphony.events.AddrEv
 * interface.
 * <p>
 * This interface exists to allow applications to "signal" to the 
 * implementation whether or not they want CallControlAddress events delivered
 * to their application. 
 * <p>
 * @see java.telephony.AddressObserver
 * @see java.telephony.events.AddrEv
 */

public interface CallControlAddressObserver extends AddressObserver {
}
