/*
 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcontrol;
import  java.telephony.CallObserver;

/**
 * The CallControlCallObserver reports all events for the CallControlCall,
 * CallControlConnection, and CallControlTerminalConnection objects. Note that
 * this interface does not support any methods. Application which want
 * CallControlCall, CallControlConnection, or CallControlTerminalConnection
 * events should instantiate an object which implements this interface.
 * Because this interface extends the telehpony.CallObserver interface, all
 * events are reported via the <EM>CallObserver.callChangedEvent</EM> method.
 * Therefore, all CallControlCall, CallControlConnection, and
 * CallControlTerminalConnection events must extend the telphony.events.CallEv
 * interface.
 * <p>
 * This interface exists to allow applications to "signal" to the 
 * implementation whether or not they want CallControlCall,
 * CallControlConnection, or CallControlTerminalConnection events delivered
 * to their application. 
 * <p>
 * @see java.telephony.CallObserver
 * @see java.telephony.events.CallEv
 */

public interface CallControlCallObserver extends CallObserver {
}
