/* Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
#pragma ident "@(#)CallCtlConnDialingEv.java	1.6      96/11/03     SMI"

 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcontrol.events;

/**
 * The CallCtlConnDialingEv indicates that a Connection is now
 * in the CallControlConnection.DIALING state. This event interfaces extends
 * both the ConnectionEvent and CallControlCallEvent interfaces and is
 * reported through the CallObserver interface.
 * <p>
 * This event interface has methods to return the string of digits dialed
 * so far.
 */

public interface CallCtlConnDialingEv extends CallCtlConnEv {

  /**
   * Event id
   */
  public static final int ID = 204;

  /**
   * Returns the digits that have already been dialed.
   * <p>
   * @returns The digits that have already been dialed.
   */
  public String getDigits();
}
