/* Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
#pragma ident "@(#)CallCtlConnQueuedEv.java	1.5      96/11/03     SMI"

 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.callcontrol.events;
import  java.telephony.Address;

/**
 * The CallCtlConnQueuedEv indicates that the call control
 * connection state has transitioned to the CallControlConnection.QUEUED
 * state. This method extends the CallControlCallEvent and ConnEv
 * interfaces and is reported on the CallObserver interface.
 */

public interface CallCtlConnQueuedEv extends CallCtlConnEv {

  /**
   * Event id
   */
  public static final int ID = 212;

  /**
   * Indicates how many connections are queued at this connection's Address.
   */
  int getNumberInQueue();
}

