/*
#pragma ident "@(#)AddrEv.java	1.6      97/01/15     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.events;
import  java.telephony.Address;

/**
 * The AddrEv interface is the base event interface for all
 * Address-related events. All events associated with the Address object must
 * extend this interface.
 * <p>
 * These events are reported through the AddressObserver interface.
 * @see java.telephony.events.AddrObservationEndedEv
 * <p>
 * The AddrEv interface has one method, getAddress(), which returns the
 * Address object associated with this event.
 */

public interface AddrEv extends Ev {

  /**
   * Returns the Address which generated this event.
   * <p>
   * @returns The Address associated with this event.
   */
  public Address getAddress();
}
