/*
#pragma ident "@(#)CallEv.java	1.11      97/01/20     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.events;
import  java.telephony.Call;

/**
 * The CallEv interface is the base event interface for all events
 * pertaining to the Call object. All events which are Call-related must
 * extend this interface.
 * <p>
 * These events are reported through the CallObserver interface.
 * <p>
 * The CallEv interface has one method, getCall(), which returns the
 * Call object associated with this event.
 */

public interface CallEv extends Ev {

  /**
   * Returns the Call object associated with this event.
   * <p>
   * @returns The Call associated with this event.
   */
  public Call getCall();
}
