/* 
#pragma ident "@(#)ConnEv.java	1.6      96/11/03     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.events;
import  java.telephony.Connection;

/**
 * The ConnEv interface is the base event interface for all events
 * pertaining to Connections. Each event which is Connection-related must
 * extend this interface.
 * <p>
 * This interface extends CallEvent because these events are reported through
 * the CallObserver interface.
 * <p>
 * The ConnEv interface has one method, getConnection(), which
 * returns the Connection associated with this event.
 */

public interface ConnEv extends CallEv {

  /**
   * Get the connection which generated this event.
   * <p>
   * @returns The Connection associated with this event.
   */
  public Connection getConnection();
}
