/*
#pragma ident "@(#)ProvEv.java	1.9      97/01/15     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.events;
import  java.telephony.Provider;

/**
 * The ProvEv interface is the base event interface for all Provider-
 * related events. All events which are associated with the Provider object
 * must extend this interface.
 * <p>
 * These events are reported through the ProviderObserver interface.
 * @see java.telephony.events.ProvObservationEndedEv
 * <p>
 * The ProvEv interface has one method, getProvider(), which returns
 * the Provider object associated with this event.
 */

public interface ProvEv extends Ev {

  /**
   * Returns the Provider which is associated with this event.
   * <p>
   * @returns The Provider associated with this event.
   */
  public Provider getProvider();
}
