/*
#pragma ident "@(#)TermConnEv.java	1.2      96/11/03     SMI"

 *Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.events;
import  java.telephony.TerminalConnection;

/**
 * The TermConnEv interface is the base event interface for all events
 * pertaining to TerminalConnections. Each event which is
 * TerminalConnection-related must extend this interface.
 * <p>
 * This interface extends CallEvent because these events are reported through
 * the CallObserver interface.
 * <p>
 * The TermConnEv interface has one method,
 * getTerminalConnection(), which returns the TerminalConnection associated
 * with this event.
 */

public interface TermConnEv extends CallEv {

  /**
   * Get the TerminalConnection which generated this event.
   * <p>
   * @returns The TerminalConnection associated with this event.
   */
  public TerminalConnection getTerminalConnection();
}

