/*
#pragma ident "@(#)TermEv.java	1.9      97/01/15     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and withou
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.events;
import  java.telephony.Terminal;

/**
 * The TermEv interface is the base interface for all Terminal-related
 * events. All events which pertain to the Terminal object must extends this
 * interface.
 * <p>
 * These events are reported through the TerminalObserver interface.
 * @see java.telephony.events.TermObservationEndedEv
 * <p>
 * The TermEv interface has one method, getTerminal() which returns
 * the Terminal associated with the particular TermEv.
 */

public interface TermEv extends Ev {


  /**
   * Returns the Terminal associated with this TermEv.
   * <p>
   * @returns The Terminal associated with this Event.
   */
  public Terminal getTerminal();
}

