/*
 * Copyright (c) 1997.  Sun Microsystems.  All rights reserved.
 * 
 * Search the directory for the specific entry
 * "cn=Barbara Jensen, ou=Product Development, o=Ace Industry, c=US".
 * Retrieve all attributes from the entry.
 *
 * [Equivalent to rdentry.c in Netscape SDK]
 */

import java.util.Properties;
import java.util.Enumeration;
 
import java.naming.*;
import java.naming.directory.*;


class Rdentry {
public static void main(String[] args) {

    Properties env = new Properties();
    /*
     * Specify the initial context implementation to use.
     * This could also be set by using the -D option to the java program.
     * For example,
     *   java -Djndi.initialContextFactory=sun.jndi.ldap.LdapCtxFactory Rdentry
     */
    env.put("jndi.initialContextFactory", Env.INITCTX);

    /* Specify host and port to use for directory service */
    env.put("jndi.service.url", Env.MY_SERVICE);

    try {
        /* get a handle to an Initial DSContext */
        DSContext ctx = new InitialDSContext(env);

        /* Read Babs' entry */
        AttributeSet attrs = ctx.getAttributes(Env.ENTRYDN);

        if (attrs == null) {
            System.out.println(Env.ENTRYDN + "has no attributes");
        } else {
            /* print each attribute */
            for (AttributeEnumeration ae = attrs.getAttributes();
                 ae.hasMoreElements();) {
                Attribute attr = ae.next();
                String attrId = attr.getAttributeId();

                /* print each value */
                for (Enumeration vals = attr.getValues();
                     vals.hasMoreElements();
                     System.out.println(attrId + ": " + vals.nextElement()))
                    ;
            }
        }
    } catch (NamingException e) {
        System.err.println("Rdentry example failed");
        e.printStackTrace();
    }
}
}
