/*
#pragma ident "@(#)PrivateAddrEv.java	1.3      96/11/03     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.privatedata.events;
import  java.telephony.events.AddrEv;

/**
 * Private Event interface to return information to a AddressObserver. This
 * event could be a stand-alone object for private data that is not associated
 * with any other event. This interface could also be used to extend any other
 * event for private data that is associated with particular events.
 */

public interface PrivateAddrEv extends AddrEv {

  /**
   * Returns platform-specific information to the application. The format of
   * the data and the action that should be taken upon receipt of the data is
   * platform-dependent.
   * <p>
   * @returns The platform-specific data.
   */
  public Object getPrivateData();
}

