# @(#)win32.mak	1.10 97/07/01
#
# Makefile for use with Microsoft's nmake; it assumes your Java bin directory
# is in your path, and that a CLASSPATH environment variable is defined.

# Because of a bug in Class.getResource(), classpaths cannot have ".."
# directories.  Either define SWINGHOME to reflect your installation, or
# redefine it on the nmake command line (ie, SWINGHOME="\my\swing\home").
SWINGHOME=\swing-0.2

# Build home is for use when example is part of the full Swing build tree.
BUILDHOME = $(SWINGHOME)\build

CLASSPATH=$(SWINGHOME)\swing.jar;$(BUILDHOME)\swing.jar;$(CLASSPATH)

.SUFFIXES: .java .class

NOTEPAD_JAR = Notepad.jar

NOTEPAD_FILES = \
	Notepad.properties \
	Notepad_fr.properties \
	Notepad_sv.properties \
	images/new.gif \
	images/open.gif \
	images/save.gif \
	images/cut.gif \
	images/copy.gif \
	images/paste.gif

NOTEPAD_CLASSES = \
	Notepad.class \
	Notepad$$1.class \
	Notepad$$AppCloser.class \
	Notepad$$StatusBar.class \
	Notepad$$ExitAction.class \
	Notepad$$NewAction.class \
	Notepad$$OpenAction.class \
	FileLoader.class


all: Notepad.jar

run: Notepad.jar
	java -classpath $(NOTEPAD_JAR);$(CLASSPATH) Notepad

clean:
	del /f/q *.class $(NOTEPAD_JAR)

$(NOTEPAD_JAR): Notepad.class $(NOTEPAD_FILES)
	@del /f/q $(NOTEPAD_JAR)
	jar cf $@ $(NOTEPAD_CLASSES) $(NOTEPAD_FILES)

.java.class:
	javac -classpath $(CLASSPATH) $?
