import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;
import java.text.*;

import com.sun.java.swing.*;
import com.sun.java.swing.border.*;


public class SimpleDateExample extends JBufferedPane 
{
  static JFrame frame;
  private JBufferedPane panel1,panel2,panel3,panel4;


  public SimpleDateExample()
  {
    
    setLayout(new GridBagLayout());
    DateChooser item;

    JLabel title = new JLabel("DateChooser Demo");
    title.setFont(new Font("TimeRoman", Font.BOLD, 16));
    title.setHorizontalAlignment(JLabel.CENTER);
    constrain(this,title,0,0,11,1);
//    constrain(this, new HorizontalSpacer(),0,1,11,1);

    panel1 = new JBufferedPane();
    panel1.setLayout(new GridBagLayout());
    constrain(panel1,new JLabel("Date Only, Small Size"),0,0,2,1);
    //    constrain(panel1,new HorizontalSpacer(),0,1,2,1);
    item = new DateChooser(0,1);
    constrain(panel1,item,0,2,1,1);
//    constrain(panel1,new HorizontalSpaceHolder(item),2,1,1,1);
    constrain(this,panel1,0,2,5,2);
    
    

    panel2 = new JBufferedPane();
    panel2.setLayout(new GridBagLayout());
    constrain(panel2,new JLabel("Date Only, Large Size"),0,0,2,1);
//     constrain(panel2,new HorizontalSpacer(),0,1,2,1);
    item = new DateChooser(0,3);
    constrain(panel2,item,0,2,1,1);
//     constrain(panel2,new HorizontalSpaceHolder(item),2,1,1,1);
    constrain(this,panel2,0,4,5,6);
    
//     constrain(this,new VerticalSpacer(),5,2,1,8);

    panel3 = new JBufferedPane();
    panel3.setLayout(new GridBagLayout());
    constrain(panel3,new JLabel("Date + Time, Medium Size (French Locale)"),0,0,2,1);
//    constrain(panel3,new HorizontalSpacer(),0,1,2,1);
    item = new modifiedDateChooser(2,2,Locale.FRENCH);
    constrain(panel3,item,0,2,1,1);
//     constrain(panel3,new HorizontalSpaceHolder(item),2,1,1,1);
    constrain(this,panel3,6,2,5,2);

    panel4 = new JBufferedPane();
    panel4.setLayout(new GridBagLayout());
    constrain(panel4,new JLabel("Time Only, Large Size"),0,0,2,1);
//     constrain(panel4,new HorizontalSpacer(),0,1,2,1);
    item = new DateChooser(1,3);
    constrain(panel4,item,0,2,1,1);
//     constrain(panel4,new HorizontalSpaceHolder(item),2,1,1,1);
    constrain(this,panel4,6,4,5,6);
    
  }
  public void addSpacers()
  {
    constrain(this, new HorizontalSpacer(),0,1,11,1);
    constrain(panel1,new HorizontalSpacer(),0,1,2,1);
    constrain(panel2,new HorizontalSpacer(),0,1,2,1);
    constrain(this,new VerticalSpacer(),5,2,1,8);
    constrain(panel3,new HorizontalSpacer(),0,1,2,1);
    constrain(panel4,new HorizontalSpacer(),0,1,2,1);
    
  }

  public static void main(String s[]) 
  {
    WindowListener l = new WindowAdapter()
      {
	public void windowClosing(WindowEvent e) {System.exit(0);}
      };
    
    frame = new JFrame("SimpleDateExample");
    frame.addWindowListener(l);
    SimpleDateExample myExample = new SimpleDateExample();
    frame.add(myExample);
    frame.pack();
    frame.setVisible(true);
    myExample.addSpacers();
    
  }


        /**Mad grid bag constrain functions!*/
  
  public void constrain(Container container, Component component,int grid_x, int grid_y, int grid_width, int grid_height,int fill, int anchor, double weight_x, double weight_y, int top, int left, int bottom, int right)
    {
      GridBagConstraints c = new GridBagConstraints();
      c.gridx = grid_x; c.gridy = grid_y;
      c.gridwidth = grid_width; c.gridheight = grid_height;
      c.fill = fill; c.anchor = anchor;
      c.weightx = weight_x; c.weighty = weight_y;
      if (top+bottom+left+right > 0)
	c.insets = new Insets(top, left, bottom, right);    
      ((GridBagLayout)container.getLayout()).setConstraints(component, c);
      container.add(component);
    }
  
  public void constrain(Container container, Component component,int grid_x, int grid_y, int grid_width, int grid_height) 
    {
      constrain(container, component, grid_x, grid_y, 
		grid_width, grid_height, GridBagConstraints.NONE, 
		GridBagConstraints.NORTHWEST, 0.0, 0.0, 0, 0, 0, 0);
    }
  
  public void constrain(Container container, Component component,int grid_x, int grid_y, int grid_width, int grid_height, int top, int left, int bottom, int right) 
    {
      constrain(container, component, grid_x, grid_y, 
		grid_width, grid_height, GridBagConstraints.NONE, 
		GridBagConstraints.NORTHWEST, 
		0.0, 0.0, top, left, bottom, right);
    }

  class HorizontalSpacer extends JComponent
  {
    Dimension d;

    public HorizontalSpacer() {}
    public void paint(Graphics g) 
    {
      if (d == null) getMinimumSize(); //Force computation of size
      g.setColor(Color.black);
      g.fillRect(0,0,d.width,4);
      g.setColor(Color.white);
      g.fillRect(1,1,d.width-2,2);
    }
    public Dimension getPreferredSize() 
    {
      return getMinimumSize();
    }
    public Dimension getMinimumSize() 
    {
      if (d == null) 
	{
	  if(getParent().getSize().width > 0)
	    {
	      d = new Dimension(getParent().getSize().width-10,4);
	    }
	}
      return d;
    }
  }
  class VerticalSpacer extends JComponent
  {
    Dimension d;
    public VerticalSpacer() {}
    public void paint(Graphics g) 
    {
      if (d == null) getMinimumSize(); //Force computation of size
      g.setColor(Color.black);
      g.fillRect(0,0,4,d.height);
      g.setColor(Color.white);
      g.fillRect(1,1,2,d.height-2);
    }
    public Dimension getPreferredSize() 
    {
      return getMinimumSize();
    }
    public Dimension getMinimumSize() 
    {
      if (d == null) 
	{
	  d = new Dimension(4,getParent().getSize().height-10);
	}
      return d;
    }
  }
//   class HorizontalSpaceHolder extends JComponent
//   {
//     Dimension d;
//     Container toHold;
//     public HorizontalSpaceHolder(Container holdThis) 
//     {
//       toHold = holdThis;
//     }
//     public void paint(Graphics g) 
//     {
//       //if (d == null) 
// 	getMinimumSize(); //Force computation of size
//       g.setColor(Color.black);
//       g.fillRect(0,0,d.width,4);
//     }
//     public Dimension getPreferredSize() 
//     {
//       return getMinimumSize();
//     }
//     public Dimension getMinimumSize() 
//     {
//       //if (d == null) 
//       //{
// 	  d = new Dimension(getParent().getPreferredSize().width-toHold.getMinimumSize().width,5);
// 	  //}
//       return d;
//     }
//   }
  class modifiedDateChooser extends DateChooser
  {
    public modifiedDateChooser(int mode, int style)
    {
      super(mode, style);
    }
    public modifiedDateChooser(int mode, int style, Locale aLocale)
    {
      super(mode, style, aLocale);
    }
    protected JComponent setDayPreferences()
    {
      day.setWrap(false);
      day.setBorder(new BezelBorder(0));
      day.setBackgroundColor(Color.blue);
      day.setValue(22);
      return day;
    }
    protected JComponent setMonthPreferences()
    {
      month.setWrap(true);
      month.setBorder(new BezelBorder(0));
      month.setBackgroundColor(Color.red);
      month.setValue(3);
      return month;
    }
    protected JComponent setYearPreferences()
    {
      year.setWrap(true);
      year.setBorder(new BezelBorder(0));
      year.setBackgroundColor(Color.white);
      year.setValue(1977);
      return year;
    }
    protected JComponent setMinutePreferences()
    {
      minutes.setWrap(true);
      minutes.setBorder(new BezelBorder(0));
      minutes.setBackgroundColor(Color.blue);
      minutes.setLeadingPad(0);
      minutes.setValue(24);
      return minutes;
    }
    protected JComponent setHourPreferences()
    {
      hours.setWrap(true);
      hours.setBorder(new BezelBorder(0));
      hours.setBackgroundColor(Color.red);
      hours.setValue(8);
      return hours;
    }
    protected void setDatePanePreferences()
    {
      datePane.setBorder(new GroovedBorder());
    }
    protected void setTimePanePreferences()
    {
      timePane.setBorder(new GroovedBorder());
    }
  }
}
