# @(#)win32.mak	1.5 97/07/01
#
# Makefile for use with Microsoft's nmake; it assumes your Java bin directory
# is in your path, and that a CLASSPATH environment variable is defined.

# Because of a bug in Class.getResource(), classpaths cannot have ".."
# directories.  Either define SWINGHOME to reflect your installation, or
# redefine it on the nmake command line (ie, SWINGHOME="\my\swing\home").
SWINGHOME = \swing-0.2
NOTEPAD_JAR = $(SWINGHOME)\examples\Notepad\Notepad.jar

# Build targets are for use when example is part of the full Swing build tree.
BUILD_JAR = $(SWINGHOME)\build\swing.jar
BUILD_NOTEPAD_JAR = $(SWINGHOME)\src\examples\Notepad\Notepad.jar

CLASSPATH = $(SWINGHOME)\swing.jar;$(NOTEPAD_JAR);$(BUILD_JAR);$(BUILD_NOTEPAD_JAR);$(CLASSPATH)

.SUFFIXES: .java .class

STYLEPAD_JAR = Stylepad.jar

STYLEPAD_FILES = \
	Stylepad.properties \
	images/alice.gif \
	images/caterpillar.gif \
	images/hatter.gif \
	images/bold.gif \
	images/center.gif \
	images/italic.gif \
	images/left.gif \
	images/right.gif \
	images/underline.gif


all: Stylepad.jar

run: Stylepad.jar
	java -classpath $(STYLEPAD_JAR);$(CLASSPATH) Stylepad

clean:
	del /f/q *.class $(STYLEPAD_JAR)

$(STYLEPAD_JAR): Stylepad.class Wonderland.class $(STYLEPAD_FILES)
	@del /f/q $(STYLEPAD_JAR)
	jar cf $@ *.class $(STYLEPAD_FILES)

.java.class:
	javac -classpath $(CLASSPATH) $?
