/*
 * @(#)BorderPanel.java	1.9 97/08/26
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

import com.sun.java.swing.*;

import java.awt.Panel;
import java.awt.Color;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.Font;

import com.sun.java.swing.event.*;
import com.sun.java.swing.border.*;

/*
 * @version 1.9 08/26/97
 * @author Dave Kloba
 */
public class BorderPanel extends JBufferedPane      {

    public BorderPanel()    {
        JButton b;
        JBorderedPane tp;
	GridLayout g;

        setLayout(new BorderLayout());
        tp = new JBorderedPane();
	g = new GridLayout(0, 2);
	g.setHgap(3);
	g.setVgap(1);
        tp.setLayout(g);

        b = new JButton();
	b.add(new JLabel("JLineBorder"));
	b.setHorizontalAlignment(JButton.CENTER);
	b.setVerticalAlignment(JButton.CENTER);
        b.setBorder(new LineBorder(Color.darkGray, 2));
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);

        b = new JButton();
	b.add(new JLabel("JBezelBorder RAISED"));
        b.setBorder(new BezelBorder(BezelBorder.RAISED));
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);

        b = new JButton();
	b.add(new JLabel("JBezelBorder LOWERED"));
        b.setBorder(new BezelBorder(BezelBorder.LOWERED));
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);

        b = new JButton();
	b.add(new JLabel("JGroovedBorder"));
        b.setBorder(new GroovedBorder());
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);

        b = new JButton();
	b.add(new JLabel("JTitledBorder 1"));
        b.setBorder(new TitledBorder(b, 
                        LineBorder.createBlackLineInstance(),
                        "Using JLineBorder"));
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);

        b = new JButton();
	b.add(new JLabel("JTitledBorder 2"));
        b.setBorder(new TitledBorder(b, new BezelBorder(BezelBorder.RAISED),
                            "Using JBezelBorder"));
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);

        b = new JButton();
	b.add(new JLabel("JTitledBorder 3"));
	b.setPad(new java.awt.Insets(0,0,0,0));
        b.setBorder(new TitledBorder(b, 
                        new TitledBorder(b, 
                                LineBorder.createBlackLineInstance(),
                                "Using a JTitledBorder"),
                        "as the Border",
                        TitledBorder.RIGHT ,
                        TitledBorder.BOTTOM ));
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);

        b = new JButton();
	b.add(new JLabel("JTitledBorder 4"));
        b.setBorder(new TitledBorder(b, 
                        new LineBorder(Color.black, 1), 
                        "Using Courier 16 bold",
                        TitledBorder.LEFT,
                        TitledBorder.TOP,
                        new Font("Courier", Font.BOLD, 16) ));
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);

/*        b = new JButton();
        b.setText("JBezelBorder Raised, using two colors");
        b.setBorder(new JBezelBorder(JBezelBorder.RAISED, Color.white, Color.blue));
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);
*/

        b = new JButton();
	b.add(new JLabel("JTitledBorder 5"));
        b.setBorder(new TitledBorder(b, 
                        new EmptyBorder(1, 1, 1, 1),
                        "Using JEmptyBorder",
                        TitledBorder.LEFT , TitledBorder.TOP ));
        b.setFocusPainted(false);
        b.setEnabled(false);
        tp.add(b);

        add("Center", tp);
    }
}
