 /*
 * @(#)DirectionButton.java	1.9 97/08/26
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

import com.sun.java.swing.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;


/**
 * @version 1.9 08/26/97
 * @author Jeff Dinkins
 */ 
public class DirectionButton extends JRadioButton {

    // Chester's way cool layout buttons 
    public static ImageIcon bl_dot   = new ImageIcon("images/layout/bl.gif");
    public static ImageIcon bldn_dot = new ImageIcon("images/layout/bldn.gif");
    public static ImageIcon bm_dot   = new ImageIcon("images/layout/bm.gif");
    public static ImageIcon bmdn_dot = new ImageIcon("images/layout/bmdn.gif");
    public static ImageIcon br_dot   = new ImageIcon("images/layout/br.gif");
    public static ImageIcon brdn_dot = new ImageIcon("images/layout/brdn.gif");
    public static ImageIcon c_dot    = new ImageIcon("images/layout/c.gif");
    public static ImageIcon cdn_dot  = new ImageIcon("images/layout/cdn.gif");
    public static ImageIcon ml_dot   = new ImageIcon("images/layout/ml.gif");
    public static ImageIcon mldn_dot = new ImageIcon("images/layout/mldn.gif");
    public static ImageIcon mr_dot   = new ImageIcon("images/layout/mr.gif");
    public static ImageIcon mrdn_dot = new ImageIcon("images/layout/mrdn.gif");
    public static ImageIcon tl_dot   = new ImageIcon("images/layout/tl.gif");
    public static ImageIcon tldn_dot = new ImageIcon("images/layout/tldn.gif");
    public static ImageIcon tm_dot   = new ImageIcon("images/layout/tm.gif");
    public static ImageIcon tmdn_dot = new ImageIcon("images/layout/tmdn.gif");
    public static ImageIcon tr_dot   = new ImageIcon("images/layout/tr.gif");
    public static ImageIcon trdn_dot = new ImageIcon("images/layout/trdn.gif");

    
    /**
     * A layout direction button
     */
    public DirectionButton(Icon icon, Icon downIcon, String direction,
			   ActionListener l, ButtonGroup group,
			   boolean selected)
    {
	super();
	setSelected(selected);
	this.addActionListener(l);
	setFocusPainted(false);
	setHorizontalTextPosition(CENTER);
	group.add(this);
	setIcon(icon);
	setSelectedIcon(downIcon);
	setActionCommand(direction);
    }


    public static JBufferedPane createDirectionPanel(boolean enable, String selected, ActionListener l) {
	JBufferedPane p = SwingSet.createVerticalPanel(false);
	p.setAlignmentY(TOP_ALIGNMENT);
	p.setAlignmentX(LEFT_ALIGNMENT);

	Box firstThree = Box.createHorizontalBox();
	Box secondThree = Box.createHorizontalBox();
	Box thirdThree = Box.createHorizontalBox();

	if(!enable) {
	    selected = "None";
	}

	ButtonGroup group = new ButtonGroup();
	DirectionButton b;
	b = (DirectionButton) firstThree.add(new DirectionButton(  tl_dot, tldn_dot, "NW", l, group, selected.equals("NW")));
	b.setEnabled(enable);
	b = (DirectionButton) firstThree.add(new DirectionButton(  tm_dot, tmdn_dot, "N",  l, group, selected.equals("N")));
	b.setEnabled(enable);
	b = (DirectionButton) firstThree.add(new DirectionButton(  tr_dot, trdn_dot, "NE", l, group, selected.equals("NE")));
	b.setEnabled(enable);
	b = (DirectionButton) secondThree.add(new DirectionButton( ml_dot, mldn_dot, "W",  l, group, selected.equals("W")));
	b.setEnabled(enable);
	b = (DirectionButton) secondThree.add(new DirectionButton( c_dot,  cdn_dot,  "C",  l, group, selected.equals("C")));
	b.setEnabled(enable);
	b = (DirectionButton) secondThree.add(new DirectionButton( mr_dot, mrdn_dot, "E",  l, group, selected.equals("E")));
	b.setEnabled(enable);
	b = (DirectionButton) thirdThree.add(new DirectionButton(  bl_dot, bldn_dot, "SW", l, group, selected.equals("SW")));
	b.setEnabled(enable);
	b = (DirectionButton) thirdThree.add(new DirectionButton(  bm_dot, bmdn_dot, "S",  l, group, selected.equals("S")));
	b.setEnabled(enable);
	b = (DirectionButton) thirdThree.add(new DirectionButton(  br_dot, brdn_dot, "SE", l, group, selected.equals("SE")));
	b.setEnabled(enable);

	p.add(firstThree);
	p.add(secondThree);
	p.add(thirdThree);
	
	return p;
    }
}
