/*
 * @(#)ScrollPanePanel.java	1.6 97/08/26
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

import com.sun.java.swing.*;

import java.awt.*;
import java.awt.event.*;

/*
 * @version 1.6 08/26/97
 * @author Jeff Dinkins
 */
public class ScrollPanePanel extends JBufferedPane      {

    public ScrollPanePanel()    {
        setLayout(new BorderLayout());
	add("Center", new TigerScrollPane());
    }

}

class TigerScrollPane extends JScrollPane {
    public TigerScrollPane() {
	super();
	getViewport().add(new JLabel(new ImageIcon("images/BigTiger.gif")));
	setRowHeading(new VerticalRuler());
	setColumnHeading(new HorizontalRuler());
	setCorner(JScrollPane.LOWER_LEFT_CORNER, new Corner());
	setCorner(JScrollPane.LOWER_RIGHT_CORNER, new Corner());
	setCorner(JScrollPane.UPPER_LEFT_CORNER, new Corner());
	setCorner(JScrollPane.UPPER_RIGHT_CORNER, new Corner());
    }
    
    public Dimension getMinimumSize() {
	return new Dimension(25, 25);
    }
    
    public boolean isOpaque() {
        return true;
    }
}

class HorizontalRuler extends JViewport {
    public HorizontalRuler() {
	super();
	setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
	add(new JLabel(new ImageIcon("images/scrollpane/header.gif")));
    }
}

class VerticalRuler extends JViewport {
    public VerticalRuler() {
	super();
	setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
	add(new JLabel(new ImageIcon("images/scrollpane/column.gif")));
    }
}

class Corner extends JLabel {
    public Corner() {
	super(new ImageIcon("images/scrollpane/corner.gif"));
    }
}


