/*
 * @(#)SliderPanel.java	1.6 97/08/26
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

import com.sun.java.swing.*;
import com.sun.java.swing.event.*;
import com.sun.java.swing.border.*;

import java.awt.Panel;
import java.awt.Color;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.Font;

class SliderListener implements ChangeListener {
	JLabel tf;
	public SliderListener(JLabel f) {
	    tf = f;
	}
	
	public void stateChanged(ChangeEvent e) {
	    JSlider s1 = (JSlider)e.getSource();
		tf.setText("Slider Value: " + s1.getValue());
	}
}

/*
 * @version 1.6 08/26/97
 * @author Dave Kloba
 */
public class SliderPanel extends JBufferedPane      {

    public SliderPanel()    {
        JSlider s;
	JBorderedPane hp;
	JBorderedPane vp;
	GridLayout g;
	JBorderedPane tp;
	JLabel tf;
	ChangeListener listener;

	this.setLayout(new BorderLayout());

	tf = new JLabel("Slider Value: " );
	this.add("South", tf);
	
	tp = new JBorderedPane();
	g = new GridLayout(1, 2);
	g.setHgap(5);
	g.setVgap(5);
	tp.setLayout(g);
	this.add("Center", tp);
		
	listener = new SliderListener(tf);

	hp = new JBorderedPane();
	hp.setLayout(new GridLayout(0, 1));
	hp.setBorder(new TitledBorder(hp, 
			new BezelBorder(BezelBorder.LOWERED, Color.white, Color.gray), 
			"Horizontal",
			TitledBorder.LEFT,
			TitledBorder.ABOVE_TOP));
	tp.add(hp);

	vp = new JBorderedPane();
	vp.setLayout(new GridLayout(1, 0));
	vp.setBorder(new TitledBorder(vp, 
			new BezelBorder(BezelBorder.LOWERED, Color.white, Color.gray), 
			"Vertical",
			TitledBorder.LEFT,
			TitledBorder.ABOVE_TOP));
	tp.add(vp);

	s = new JSlider(JSlider.HORIZONTAL, -10, 100, 20);
	s.setBorder(new TitledBorder(s, "Plain"));
	s.addChangeListener(listener);
	hp.add(s);

	s = new JSlider(JSlider.HORIZONTAL, 100, 1000, 400);
	s.setPaintTicks(true);
	s.setMajorTickSpacing(20);
	s.setBorder(new TitledBorder(s, "Major Ticks"));
	s.addChangeListener(listener);
	hp.add(s);

	s = new JSlider(JSlider.HORIZONTAL, 0, 100, 60);
	s.setPaintTicks(true);
	s.setMajorTickSpacing(20);
	s.setMinorTickSpacing(5);
	s.setBorder(new TitledBorder(s, "Minor Ticks"));
	s.addChangeListener(listener);
	hp.add(s);

	s = new JSlider(JSlider.HORIZONTAL, 0, 100, 80);
	s.setPaintTicks(true);
	s.setMajorTickSpacing(20);
	s.setMinorTickSpacing(5);
	s.setEnabled(false);
	s.setBorder(new TitledBorder(s, "Disabled"));
	s.addChangeListener(listener);
	hp.add(s);
	
//////////////////////////////////////////////////////////////////////////////

	s = new JSlider(JSlider.VERTICAL, -10, 100, 20);
	s.setBorder(new TitledBorder(s, "Plain"));
	s.addChangeListener(listener);
	vp.add(s);

	s = new JSlider(JSlider.VERTICAL, 100, 1000, 400);
	s.setPaintTicks(true);
	s.setMajorTickSpacing(20);
	s.setBorder(new TitledBorder(s, "Major Ticks"));
	s.addChangeListener(listener);
	vp.add(s);

	s = new JSlider(JSlider.VERTICAL, 0, 100, 60);
	s.setPaintTicks(true);
	s.setMajorTickSpacing(20);
	s.setMinorTickSpacing(5);
	s.setBorder(new TitledBorder(s, "Minor Ticks"));
	s.addChangeListener(listener);
	vp.add(s);

	s = new JSlider(JSlider.VERTICAL, 0, 100, 80);
	s.setPaintTicks(true);
	s.setMajorTickSpacing(20);
	s.setMinorTickSpacing(5);
	s.setEnabled(false);
	s.setBorder(new TitledBorder(s, "Disabled"));
	s.addChangeListener(listener);
	vp.add(s);
    }
}


