/*
 * @(#)TextPanel.java	1.11 97/08/26
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

import com.sun.java.swing.*;
import com.sun.java.swing.text.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;


/**
 * Text!
 *
 * @version 1.11 08/26/97
 * @author Jeff Dinkins
 */
public class TextPanel extends JBufferedPane 
{
    // The Frame
    SwingSet swing;

    public TextPanel(SwingSet swing) {
	super(true);
	setInsets(swing.insets10);
	this.swing = swing;
	setBorderStyle(LOWERED);

	JBufferedPane textFields = SwingSet.createVerticalPanel(false);

	setInsets(swing.insets5);
	setLayout(new BoxLayout(this, BoxLayout.X_AXIS));

	JTextField field1 = new FixedTextField("George Washington", 15);
	JTextField field2 = new FixedTextField("Thomas Jefferson", 15);
	JTextField field3 = new FixedTextField("Benjamin Franklin", 15);
	JTextField field4 = new FixedTextField("Thomas Payne", 15);
	JTextField field5 = new FixedTextField("Abraham Lincoln", 15);

	field2.setForeground(Color.red);
	field3.setForeground(Color.blue);

	field4.setForeground(Color.green.darker());
	field4.setBackground(Color.black);

	field5.setBackground(Color.black);

	JLabel label = (JLabel) textFields.add(new JLabel("Text Fields:"));
	label.setFont(swing.boldFont);
	textFields.add(Box.createRigidArea(swing.vpad10));
	textFields.add(field1);
	textFields.add(Box.createRigidArea(swing.vpad5));
	textFields.add(field2);
	textFields.add(Box.createRigidArea(swing.vpad5));
	textFields.add(field3);
	textFields.add(Box.createRigidArea(swing.vpad5));
	textFields.add(field4);
	textFields.add(Box.createRigidArea(swing.vpad5));
	textFields.add(field5);
	textFields.add(Box.createHorizontalStrut(5));

	String text = LoadFile("Constitution.txt");

	JBufferedPane textAreaPanel = SwingSet.createVerticalPanel(false);
	label = (JLabel) textAreaPanel.add(new JLabel("Text Area:"));
	label.setFont(swing.boldFont);
	textAreaPanel.add(Box.createRigidArea(swing.vpad10));

	JBufferedPane textWrapper = new JBufferedPane(new BorderLayout());
	textWrapper.setAlignmentX(LEFT_ALIGNMENT);
 	textWrapper.setBorderStyle(LOWERED);

	textAreaPanel.add(textWrapper);

	JTextArea textArea = new JTextArea(text) {
	    public Dimension getPreferredSize() {
		return new Dimension(300,100);
	    }
	    public float getAlignmentX() {
		return LEFT_ALIGNMENT;
	    }
	};
	textArea.setFont(new Font("Dialog", Font.PLAIN, 12));
	textWrapper.add("Center", textArea);
	textArea.setForeground(Color.black);
	textArea.setBackground(Color.white);

	add(Box.createRigidArea(swing.hpad10));
	add(textFields);
	add(Box.createRigidArea(swing.hpad10));
	add(textAreaPanel);
    }


    class FixedTextField extends JTextField {
	public FixedTextField(String text, int columns) {
	    super(text, columns);
	}
	public Dimension getMaximumSize() {
	    return getPreferredSize();
	}
	public float getAlignmentX() {
	    return LEFT_ALIGNMENT;
	}
    }

    public String LoadFile(String filename) {

	String s = new String();

	File f = new File(filename);
	char[] buff = new char[50000];

	Reader in;
	try {
	    in = new FileReader(f);
	    int nch;
	    while ((nch = in.read(buff, 0, buff.length)) != -1) {
		s = s + new String(buff, 0, nch);
	    }
	} catch (java.io.IOException ex) {
	    s = "Error Loading File";
	    return s;
	}

	return s;
    }
    
    
}
