/*
 * @(#)ToolTipPanel.java	1.8 97/08/26
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

import com.sun.java.swing.*;

import java.awt.*;

/*
 * @version 1.8 08/26/97
 * @author Jeff Dinkins
 */
public class ToolTipPanel extends JBufferedPane      {

    public ToolTipPanel()    {	
        setBackground(Color.white);
	setBorderStyle(ETCHED);
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
	Cow cow = new Cow();
	cow.setToolTipText("Cow.");
	add(Box.createRigidArea(new Dimension(1, 40)));
	add(cow);
    }

    class Cow extends JLabel {
	Polygon cowgon = new Polygon();

        public Cow() {
 	    super(new ImageIcon("images/cow.gif"));
	    setAlignmentX(CENTER_ALIGNMENT);
	    cowgon.addPoint(3,20);    cowgon.addPoint(44,4);
	    cowgon.addPoint(79,15);   cowgon.addPoint(130,11);
	    cowgon.addPoint(252,5);   cowgon.addPoint(181,17);
	    cowgon.addPoint(301,45);  cowgon.addPoint(292,214);
	    cowgon.addPoint(269,209); cowgon.addPoint(266,142);
	    cowgon.addPoint(250,161); cowgon.addPoint(235,218);
	    cowgon.addPoint(203,206); cowgon.addPoint(215,137);
	    cowgon.addPoint(195,142); cowgon.addPoint(143,132);
	    cowgon.addPoint(133,189); cowgon.addPoint(160,200);
	    cowgon.addPoint(97,196);  cowgon.addPoint(107,182);
	    cowgon.addPoint(118,185); cowgon.addPoint(110,144);
	    cowgon.addPoint(59,77);   cowgon.addPoint(30,82);
	    cowgon.addPoint(30,35);   cowgon.addPoint(15,36);
        }

	boolean moo = false;
	boolean milk = false;
	boolean tail = false;
	public boolean contains(int x, int y) {
	    if((x > 30) && (x < 60) && (y > 60) && (y < 85)) {
	        if(!moo) {
	           setToolTipText("Mooooo");
		   moo = true;
		   milk = false;
		   tail = false;
		}
	    } else if((x > 150) && (x < 230) && (y > 90) && (y < 145)) {
	        if(!milk) {
	           setToolTipText(" Got  Milk? ");
		   milk = true;
		   moo = false;
		   tail = false;
		}
	    } else if((x > 280) && (x < 300) && (y > 20) && (y < 175)) {
	        if(!tail) {
	           setToolTipText("Tail.");
		   tail = true;
		   moo = false;
		   milk = false;
		}
	    } else if(moo || milk || tail) {
	        setToolTipText("Cow.");
		moo = false;
		tail = false;
		milk = false;
	    }
	    if(cowgon.contains(new Point(x, y))) {
		return true;
	    } else {
		return false;
	    }
	}
    }
}
