/*
 * @(#)TreePanel.java	1.7 97/08/26
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

import com.sun.java.swing.*;
import com.sun.java.swing.text.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;


/**
 * Tree View!
 *
 * @version 1.7 08/26/97
 * @author Jeff Dinkins
 */
public class TreePanel extends JBufferedPane 
{
    SwingSet swing;

    public TreePanel(SwingSet swing) {
	this.swing = swing;
	setLayout(new BorderLayout());

        TreeNode top = new TreeNode("Music");
        TreeNode catagory;
	TreeNode composer;
	TreeNode style;
	TreeNode album;

	// Classical
	catagory = new TreeNode("Classical");
	top.add(catagory);

	// Beethoven
	catagory.add(composer = new TreeNode("Beethoven"));
	composer.add(style = new TreeNode("Concertos"));
	style.add(new TreeNode("No. 1 - C Major"));
	style.add(new TreeNode("No. 2 - B-Flat Major"));
	style.add(new TreeNode("No. 3 - C Minor"));
	style.add(new TreeNode("No. 4 - G Major"));
	style.add(new TreeNode("No. 5 - E-Flat Major"));
	
	composer.add(style = new TreeNode("Quartets"));
	style.add(new TreeNode("Six String Quartets"));
	style.add(new TreeNode("Three String Quartets"));
	style.add(new TreeNode("Grosse Fugue for String Quartets"));
	
	composer.add(style = new TreeNode("Sonatas"));
	style.add(new TreeNode("Sonata in A Minor"));
	style.add(new TreeNode("Sonata in F Major"));
	
	composer.add(style = new TreeNode("Symphonies"));
	style.add(new TreeNode("No. 1 - C Major"));
	style.add(new TreeNode("No. 2 - D Major"));
	style.add(new TreeNode("No. 3 - E-Flat Major"));
	style.add(new TreeNode("No. 4 - B-Flat Major"));
	style.add(new TreeNode("No. 5 - C Minor"));
	style.add(new TreeNode("No. 6 - F Major"));
	style.add(new TreeNode("No. 7 - A Major"));
	style.add(new TreeNode("No. 8 - F Major"));
	style.add(new TreeNode("No. 9 - D Minor"));
	
	// Brahms
	catagory.add(composer = new TreeNode("Brahms"));
	composer.add(style = new TreeNode("Concertos"));
	style.add(new TreeNode("Violin Concerto"));
	style.add(new TreeNode("Double Concerto - A Minor"));
	style.add(new TreeNode("Piano Concerto No. 1 - D Minor"));
	style.add(new TreeNode("Piano Concerto No. 2 - B-Flat Major"));
	
	composer.add(style = new TreeNode("Quartets"));
	style.add(new TreeNode("Piano Quartet No. 1 - G Minor"));
	style.add(new TreeNode("Piano Quartet No. 2 - A Major"));
	style.add(new TreeNode("Piano Quartet No. 3 - C Minor"));
	style.add(new TreeNode("String Quartet No. 3 - B-Flat Minor"));
	
	composer.add(style = new TreeNode("Sonatas"));
	style.add(new TreeNode("Two Sonatas for Clarinet - F Minor"));
	style.add(new TreeNode("Two Sonatas for Clarinet - E-Flat Major"));
	
	composer.add(style = new TreeNode("Symphonies"));
	style.add(new TreeNode("No. 1 - C Minor"));
	style.add(new TreeNode("No. 2 - D Minor"));
	style.add(new TreeNode("No. 3 - F Major"));
	style.add(new TreeNode("No. 4 - E Minor"));
	
	// Mozart
	catagory.add(composer = new TreeNode("Mozart"));
	composer.add(style = new TreeNode("Concertos"));
	style.add(new TreeNode("Piano Concerto No. 12"));
	style.add(new TreeNode("Piano Concerto No. 17"));
	style.add(new TreeNode("Clarinet Concerto"));
	style.add(new TreeNode("Violin Concerto No. 5"));
	style.add(new TreeNode("Violin Concerto No. 4"));

	composer.add(style = new TreeNode("Sonatas"));
	style.add(new TreeNode("String Quintet in G Minor"));
	style.add(new TreeNode("Clarinet Quintet"));
	style.add(new TreeNode("Piano Sonata No. 14"));

	composer.add(style = new TreeNode("Symphonies"));
	style.add(new TreeNode("No. 39"));
	style.add(new TreeNode("No. 40"));
	style.add(new TreeNode("No. 41"));
	
	catagory.add(composer = new TreeNode("Schubert"));
	composer.add(style = new TreeNode("Quartets"));
	style.add(new TreeNode("No. 1 - D Major"));
	style.add(new TreeNode("No. 2 - C Major"));
	style.add(new TreeNode("No. 3 - B-Flat"));
	style.add(new TreeNode("No. 4 - B Major,D Major"));
	style.add(new TreeNode("No. 5 - B-Flat Major"));
	style.add(new TreeNode("No. 6 - D Major"));
	style.add(new TreeNode("No. 7 - D Major"));
	style.add(new TreeNode("No. 8 - B-Flat Major"));
	style.add(new TreeNode("No. 9 - G Minor,D Major"));
	style.add(new TreeNode("No. 10 - E-Flat Major"));
	style.add(new TreeNode("No. 11 - E,D"));
	style.add(new TreeNode("No. 12 - C Minor,D"));

	composer.add(style = new TreeNode("Sonatas"));
	style.add(new TreeNode("No. 1 - E Major, D Major"));
	style.add(new TreeNode("No. 2 - C Major, D Major"));
	style.add(new TreeNode("No. 3 - E Major, D Major"));
	style.add(new TreeNode("No. 4 - A Minor, D Major"));
	style.add(new TreeNode("No. 6 - D Major"));
	style.add(new TreeNode("No. 7 - E Minor, D Major"));
	style.add(new TreeNode("No. 9 - B Major, D Major"));


	// Jazz
	top.add(catagory = new TreeNode("Jazz"));

	// Ayler
	catagory.add(composer = new TreeNode("Albert Ayler"));
	composer.add(album = new TreeNode("My Name is Albert Ayler"));
	album.add(new TreeNode("Bye Bye Blackbird"));
	album.add(new TreeNode("Billie's Bounce"));
	album.add(new TreeNode("Summertime"));
	album.add(new TreeNode("On Green Dolphin Street"));
	album.add(new TreeNode("C.T."));

	composer.add(album = new TreeNode("Swing Low Seet Spiritual"));
	album.add(new TreeNode("Goin' Home"));
	album.add(new TreeNode("Old Man River"));
	album.add(new TreeNode("When The Saints Go Marching In"));
	album.add(new TreeNode("Deep River"));
	album.add(new TreeNode("Down By The Riverside"));
	album.add(new TreeNode("Spirits"));
	album.add(new TreeNode("Witches and Devils"));
	album.add(new TreeNode("Holy, Holy"));
	album.add(new TreeNode("Saints"));

	composer.add(album = new TreeNode("Prophesy"));
	album.add(new TreeNode("Spirits"));
	album.add(new TreeNode("Wizard"));
	album.add(new TreeNode("Ghosts"));
	album.add(new TreeNode("Prophecy"));

	composer.add(album = new TreeNode("New Grass"));
	album.add(new TreeNode("Free At Last"));
	album.add(new TreeNode("Everybody's Movin'"));
	album.add(new TreeNode("New Generation"));
	album.add(new TreeNode("Heart Love"));
	album.add(new TreeNode("Sun Watcher"));

	// Chet Baker
	catagory.add(composer = new TreeNode("Chet Baker"));
	composer.add(album = new TreeNode("Sings and Plays"));
	album.add(new TreeNode("Let's Get Lost"));
	album.add(new TreeNode("This Is Always"));
	album.add(new TreeNode("Long Ago and Far Away"));
	album.add(new TreeNode("I Wish I Knew"));
	album.add(new TreeNode("Daybreak"));
	album.add(new TreeNode("Grey December"));
	album.add(new TreeNode("I Remember You"));

	composer.add(album = new TreeNode("My Funny Valentine"));
	album.add(new TreeNode("My Funny Valentine"));
	album.add(new TreeNode("Someone To Watch Over Me"));
	album.add(new TreeNode("Moonlight Becomes You"));
	album.add(new TreeNode("I'm Glad There is You"));
	album.add(new TreeNode("This is Always"));
	album.add(new TreeNode("Time After Time"));
	album.add(new TreeNode("Sweet Lorraine"));
	album.add(new TreeNode("It's Always You"));
	album.add(new TreeNode("Moon Love"));
	album.add(new TreeNode("Like Someone In Love"));
	album.add(new TreeNode("I've Never Been In Love Before"));
	album.add(new TreeNode("Isn't it Romantic"));
	album.add(new TreeNode("I Fall In Love Too Easily"));

	composer.add(album = new TreeNode("Grey December"));
	album.add(new TreeNode("Grey December"));
	album.add(new TreeNode("I Wish I Knew"));
	album.add(new TreeNode("Someone To Watch Over Me"));
	album.add(new TreeNode("Headline"));
	album.add(new TreeNode("Bockhanal"));
	album.add(new TreeNode("A Dandy Line"));
	album.add(new TreeNode("Pro Defunctus"));
	album.add(new TreeNode("Little Old Lady"));
	album.add(new TreeNode("Goodbye"));

	composer.add(album = new TreeNode("The Route"));
	album.add(new TreeNode("Tynan Time"));
	album.add(new TreeNode("The Route"));
	album.add(new TreeNode("Minor Yours"));
	album.add(new TreeNode("Little Girl"));
	album.add(new TreeNode("Ol' Croix"));
	album.add(new TreeNode("The Great Lie"));
	album.add(new TreeNode("Sweet Lorrain"));
	album.add(new TreeNode("If I Should Lose You"));

	// Coltran
	catagory.add(composer = new TreeNode("John Coltrane"));
	composer.add(album = new TreeNode("Blue Train"));
	album.add(new TreeNode("Blue Train"));
	album.add(new TreeNode("Moment's Notice"));
	album.add(new TreeNode("Locomotion"));
	album.add(new TreeNode("I'm Old Fashioned"));
	album.add(new TreeNode("Lazy Bird"));

	composer.add(album = new TreeNode("Giant Steps"));
	album.add(new TreeNode("Giant Steps"));
	album.add(new TreeNode("Cousin Mary Steps"));
	album.add(new TreeNode("Countdown"));
	album.add(new TreeNode("Spiral"));
	album.add(new TreeNode("Syeeda's Song Flute"));
	album.add(new TreeNode("Naima"));
	album.add(new TreeNode("Mr. P.C."));

	composer.add(album = new TreeNode("My Favorite Things"));
	album.add(new TreeNode("My Favorite Things"));
	album.add(new TreeNode("Everytime We Say Goodbye"));
	album.add(new TreeNode("Summertime"));
	album.add(new TreeNode("But Not For Me"));

	composer.add(album = new TreeNode("Crescent"));
	album.add(new TreeNode("Crescent"));
	album.add(new TreeNode("Wise One"));
	album.add(new TreeNode("Bessie's Blues"));
	album.add(new TreeNode("Lonnie's Lament"));
	album.add(new TreeNode("The Drum Thing"));

	composer.add(album = new TreeNode("Interstellar Space"));
	album.add(new TreeNode("Mars"));
	album.add(new TreeNode("Leo"));
	album.add(new TreeNode("Venus"));
	album.add(new TreeNode("Jupiter Variation"));
	album.add(new TreeNode("Jupiter"));
	album.add(new TreeNode("Saturn"));

	// Miles
	catagory.add(composer = new TreeNode("Miles Davis"));
	composer.add(album = new TreeNode("Transition"));
	album.add(new TreeNode("Autumn Leaves"));
	album.add(new TreeNode("Two Bass Hit"));
	album.add(new TreeNode("Love, I've Found You"));
	album.add(new TreeNode("I Thought About You"));
	album.add(new TreeNode("All Blues"));
	album.add(new TreeNode("Seven Steps To Heaven"));

	composer.add(album = new TreeNode("Quiet Nights"));
	album.add(new TreeNode("Once Upon a Summertime"));
	album.add(new TreeNode("Aos Pes Da Cruz"));
	album.add(new TreeNode("Wait Till You See Her"));
	album.add(new TreeNode("Corcovado"));
	album.add(new TreeNode("Summer Nights"));
	
	composer.add(album = new TreeNode("My Funny Valentine"));
	album.add(new TreeNode("All of You"));
	album.add(new TreeNode("Stella By Starlight"));
	album.add(new TreeNode("All Blues"));
	album.add(new TreeNode("I Thought About You"));
	
	composer.add(album = new TreeNode("Voodoo Down"));
	album.add(new TreeNode("Automn Leaves"));
	album.add(new TreeNode("Footprints"));
	album.add(new TreeNode("Directions"));
	album.add(new TreeNode("Bitches Brew"));
	album.add(new TreeNode("Hush"));
	
	// Rock
	top.add(catagory = new TreeNode("Rock"));

	// The Beatles
	catagory.add(composer = new TreeNode("The Beatles"));
	composer.add(album = new TreeNode("A Hard Day's Night"));
	album.add(new TreeNode("A Hard Day's Night"));
	album.add(new TreeNode("I Should Have Known Better")); 
	album.add(new TreeNode("If I Fell")); 
	album.add(new TreeNode("I'm Happy Just To Dance With You")); 
	album.add(new TreeNode("And I Love Her")); 
	album.add(new TreeNode("Tell Me Why")); 
	album.add(new TreeNode("Can't Buy Me Love")); 
	album.add(new TreeNode("Any Time At All")); 
	album.add(new TreeNode("I'll Cry Instead")); 
	album.add(new TreeNode("Things We Said Today")); 
	album.add(new TreeNode("When I Get Home")); 
	album.add(new TreeNode("You Can't Do That")); 
	
	composer.add(album = new TreeNode("Beatles For Sale"));
	album.add(new TreeNode("No Reply")); 
	album.add(new TreeNode("I'm a Loser")); 
	album.add(new TreeNode("Baby's In Black")); 
	album.add(new TreeNode("Rock And Roll Music")); 
	album.add(new TreeNode("I'll Follow the Sun")); 
	album.add(new TreeNode("Mr. Moonlight")); 
	album.add(new TreeNode("Kansas City/Hey Hey Hey Hey")); 
	album.add(new TreeNode("Eight Days a Week")); 
	album.add(new TreeNode("Words Of Love")); 
	album.add(new TreeNode("Honey Don't")); 
	album.add(new TreeNode("Every Little Thing")); 
	album.add(new TreeNode("I Don't Want To Spoil the Party")); 
	album.add(new TreeNode("What You're Doing")); 
	album.add(new TreeNode("Everybody's Trying To Be My Baby")); 

	composer.add(album = new TreeNode("Help"));
	album.add(new TreeNode("Help!")); 
	album.add(new TreeNode("The Night Before")); 
	album.add(new TreeNode("You've Got To Hide Your Love Away")); 
	album.add(new TreeNode("I Need You")); 
	album.add(new TreeNode("Another Girl")); 
	album.add(new TreeNode("You're Going To Lose That Girl")); 
	album.add(new TreeNode("Ticket To Ride")); 
	album.add(new TreeNode("Act Naturally")); 
	album.add(new TreeNode("It's Only Love")); 
	album.add(new TreeNode("You Like Me Too Much")); 
	album.add(new TreeNode("Tell Me What You See")); 
	album.add(new TreeNode("I've Just Seen a Face")); 
	album.add(new TreeNode("Yesterday")); 
	album.add(new TreeNode("Dizzy Miss Lizzie")); 
	
	composer.add(album = new TreeNode("Rubber Soul"));
	album.add(new TreeNode("Drive My Car")); 
      	album.add(new TreeNode("Norwegian Wood"));
      	album.add(new TreeNode("You Won't See Me"));
      	album.add(new TreeNode("Nowhere Man"));
      	album.add(new TreeNode("Think For Yourself"));
      	album.add(new TreeNode("The Word"));
      	album.add(new TreeNode("Michelle"));
      	album.add(new TreeNode("What Goes On?"));
      	album.add(new TreeNode("Girl")); 
      	album.add(new TreeNode("I'm Looking Through You")); 
      	album.add(new TreeNode("In My Life")); 
      	album.add(new TreeNode("Wait")); 
      	album.add(new TreeNode("If I Needed Someone")); 
      	album.add(new TreeNode("Run For Your Life")); 

	composer.add(album = new TreeNode("Revolver"));
	album.add(new TreeNode("Taxman")); 
	album.add(new TreeNode("Rigby")); 
	album.add(new TreeNode("I'm Only Sleeping")); 
	album.add(new TreeNode("For You To")); 
	album.add(new TreeNode("Here There And Everywhere")); 
	album.add(new TreeNode("Yellow Submarine"));
	album.add(new TreeNode("She Said She Said")); 
	album.add(new TreeNode("Good Day Sunshine")); 
	album.add(new TreeNode("And Your Bird Can Sing")); 
	album.add(new TreeNode("For No One")); 
	album.add(new TreeNode("Doctor Robert")); 
	album.add(new TreeNode("I Want To Tell You")); 
	album.add(new TreeNode("Got To Get You Into My Life")); 
	album.add(new TreeNode("Tomorrow Never Knows")); 

	composer.add(album = new TreeNode("Sgt. Pepper's"));
	album.add(new TreeNode("Sgt. Pepper's"));
	album.add(new TreeNode("With a Little Help From My Friends"));
	album.add(new TreeNode("Lucy in the Sky With Diamonds"));
	album.add(new TreeNode("Getting Better"));
	album.add(new TreeNode("Fixing a Hole"));
	album.add(new TreeNode("She's Leaving Home"));
	album.add(new TreeNode("Being For the Benefit of Mr. Kite"));
	album.add(new TreeNode("Within You Without You"));
	album.add(new TreeNode("When I'm Sixty Four"));
	album.add(new TreeNode("Lovely Rita"));
	album.add(new TreeNode("Good Morning"));
	album.add(new TreeNode("Sgt. Pepper's Reprise"));
	album.add(new TreeNode("A Day In The Life"));

	composer.add(album = new TreeNode("Magical Mystery Tour"));
	album.add(new TreeNode("Magical Mystery Tour"));
	album.add(new TreeNode("Fool on the Hill"));
	album.add(new TreeNode("Flying"));
	album.add(new TreeNode("Blue Jay Way"));
	album.add(new TreeNode("Your Mother Should Know"));
	album.add(new TreeNode("I Am The Walrus"));
	album.add(new TreeNode("Hello Goodbye"));
	album.add(new TreeNode("Strawberry Fields Forever"));
	album.add(new TreeNode("Penny Lane"));
	album.add(new TreeNode("Baby You're a Rich Man"));
	album.add(new TreeNode("All You Need Is Love"));

	composer.add(album = new TreeNode("The White Album"));
	album.add(new TreeNode("Back in the USSR"));
	album.add(new TreeNode("Dear Prudence"));
	album.add(new TreeNode("Glass Onion"));
	album.add(new TreeNode("Wild Honey Pie"));
	album.add(new TreeNode("Bungalow Bill"));
	album.add(new TreeNode("While My Guitar Gently Weeps"));
	album.add(new TreeNode("Martha My Dear"));
	album.add(new TreeNode("I'm So Tired"));
	album.add(new TreeNode("Blackbird"));
	album.add(new TreeNode("Piggies"));
	album.add(new TreeNode("Rocky Raccoon"));
	album.add(new TreeNode("Don't Pass Me By"));
	album.add(new TreeNode("Why Don't We Do It In The Road"));
	album.add(new TreeNode("I Will"));
	album.add(new TreeNode("Julia"));
	album.add(new TreeNode("Birthday"));
	album.add(new TreeNode("Yer Blues"));
	album.add(new TreeNode("Mother Nature's Son"));
	album.add(new TreeNode("Sexy Sadie"));
	album.add(new TreeNode("Helter Skelter"));
	album.add(new TreeNode("Long Long Long"));
	album.add(new TreeNode("Revolution 1"));
	album.add(new TreeNode("Honey Pie"));
	album.add(new TreeNode("Savoy Truffle"));
	album.add(new TreeNode("Cry Baby Cry"));
	album.add(new TreeNode("Revolution 9"));
	album.add(new TreeNode("Good Night"));

	composer.add(album = new TreeNode("Abbey Road"));
	album.add(new TreeNode("Come Together"));
	album.add(new TreeNode("Something"));
	album.add(new TreeNode("Maxwell's Silver Hammer"));
	album.add(new TreeNode("Octopus's Garden"));
	album.add(new TreeNode("She's So Heavy"));
	album.add(new TreeNode("Here Comes The Sun"));
	album.add(new TreeNode("Because"));
	album.add(new TreeNode("You Never Give Me Your Money"));
	album.add(new TreeNode("Sun King"));
	album.add(new TreeNode("Mean Mr. Mustard"));
	album.add(new TreeNode("Polythene Pam"));
	album.add(new TreeNode("She Came In Through The Bathroom Window"));
	album.add(new TreeNode("Golden Slumbers"));
	album.add(new TreeNode("Carry That Weight"));
	album.add(new TreeNode("The End"));
	album.add(new TreeNode("Her Majesty"));

	composer.add(album = new TreeNode("Let It Be"));
	album.add(new TreeNode("Two of Us"));
	album.add(new TreeNode("Dig A Pony"));
	album.add(new TreeNode("Across the Universe"));
	album.add(new TreeNode("I Me Mine"));
	album.add(new TreeNode("Dig It"));
	album.add(new TreeNode("Let It Be"));
	album.add(new TreeNode("Maggie Mae"));
	album.add(new TreeNode("I've Got A Feeling"));
	album.add(new TreeNode("One After 909"));
	album.add(new TreeNode("The Long and Winding Road"));
	album.add(new TreeNode("For You Blue"));
	album.add(new TreeNode("Get Back"));

	// Crowded House
	catagory.add(composer = new TreeNode("Crowded House"));
	composer.add(album = new TreeNode("Crowded House"));
	album.add(new TreeNode("Mean To Me"));
	album.add(new TreeNode("World Where You Live"));
	album.add(new TreeNode("Now We're Getting Somewhere"));
	album.add(new TreeNode("Don't Dream It's Over"));
	album.add(new TreeNode("Love You Til The Day I Die"));
	album.add(new TreeNode("Something So Strong"));
	album.add(new TreeNode("Hole In The River"));
	album.add(new TreeNode("Can't Carry On"));
	album.add(new TreeNode("I Walk Away"));
	album.add(new TreeNode("Tombstone"));
	album.add(new TreeNode("That's What I Call Live"));

	composer.add(album = new TreeNode("Temple of Low Men"));
	album.add(new TreeNode("I Feel Possessed"));
	album.add(new TreeNode("Kill Eye"));
	album.add(new TreeNode("Into Temptation"));
	album.add(new TreeNode("Mansion In The Slums"));
	album.add(new TreeNode("When You Come"));
	album.add(new TreeNode("Never Be The Same"));
	album.add(new TreeNode("Love This Life"));
	album.add(new TreeNode("Sister Madly"));
	album.add(new TreeNode("In The Lowlands"));
	album.add(new TreeNode("Better Be Home Soon"));

	composer.add(album = new TreeNode("Woodface"));
	album.add(new TreeNode("Chocolate Cake"));
	album.add(new TreeNode("It's Only Natural"));
	album.add(new TreeNode("Fall At Your Feet"));
	album.add(new TreeNode("Tall Trees"));
	album.add(new TreeNode("Weather With You"));
	album.add(new TreeNode("Whispers and Moans"));
	album.add(new TreeNode("Four Seasons in One Day"));
	album.add(new TreeNode("There Goes God"));
	album.add(new TreeNode("Fame Is"));
	album.add(new TreeNode("All I Ask"));
	album.add(new TreeNode("As Sure As I Am"));
	album.add(new TreeNode("Italian Plastic"));
	album.add(new TreeNode("She Goes On"));
	album.add(new TreeNode("How Will You Go"));

	composer.add(album = new TreeNode("Together Alone"));
	album.add(new TreeNode("Kare Kare"));
	album.add(new TreeNode("In My Command"));
	album.add(new TreeNode("Nails In My Feet"));
	album.add(new TreeNode("Black & White Boy"));
	album.add(new TreeNode("Fingers of Love"));
	album.add(new TreeNode("Pineapple Head"));
	album.add(new TreeNode("Locked Out"));
	album.add(new TreeNode("Private Universe"));
	album.add(new TreeNode("Walking on the Spot"));
	album.add(new TreeNode("Distant Sun"));
	album.add(new TreeNode("Catherine Wheels"));
	album.add(new TreeNode("Skin Feeling"));
	album.add(new TreeNode("Together Alone"));

	// Harvin Garvel
	catagory.add(composer = new TreeNode("Harvin Garvel"));
	composer.add(album = new TreeNode("Harven Garvel I"));
	album.add(new TreeNode("Body"));
	album.add(new TreeNode("What You Said"));
	album.add(new TreeNode("All Rights Reserved"));
	album.add(new TreeNode("High Purity"));
	album.add(new TreeNode("Lies"));
	album.add(new TreeNode("Get Real"));
	album.add(new TreeNode("Gradma Cries"));
	album.add(new TreeNode("First Feel"));
	album.add(new TreeNode("Somethings wrong"));
	album.add(new TreeNode("Shoes"));
	album.add(new TreeNode("Spice Rack"));
	album.add(new TreeNode("Dark Feel"));
	album.add(new TreeNode("Tug of War"));
	album.add(new TreeNode("Ant Song"));

	composer.add(album = new TreeNode("Harven Garvel II"));
	album.add(new TreeNode("We Ain't Through"));
	album.add(new TreeNode("Trash and Spend"));
	album.add(new TreeNode("Kick"));
	album.add(new TreeNode("The Garden"));
	album.add(new TreeNode("One & Only"));
	album.add(new TreeNode("Squid Frenzy"));
	album.add(new TreeNode("Soul In Soul"));
	album.add(new TreeNode("The Desert"));
	album.add(new TreeNode("He Grew Up"));
	album.add(new TreeNode("Talk"));
	album.add(new TreeNode("Image"));
	album.add(new TreeNode("Tomorrow"));
	album.add(new TreeNode("R70"));

	composer.add(album = new TreeNode("Full Grown Dog"));
	album.add(new TreeNode("I Am"));
	album.add(new TreeNode("Say"));
	album.add(new TreeNode("Is This Real"));
	album.add(new TreeNode("What She Said"));
	album.add(new TreeNode("Mirror Lies"));
	album.add(new TreeNode("Girls"));
	album.add(new TreeNode("Your Will"));
	album.add(new TreeNode("Slow Motion Sunday"));
	album.add(new TreeNode("Simple Life"));
	album.add(new TreeNode("The Road Song"));
	album.add(new TreeNode("The Same Way"));
	album.add(new TreeNode("Stop Tryin"));

	composer.add(album = new TreeNode("Persia"));
	album.add(new TreeNode("Exonic"));
	album.add(new TreeNode("Drift"));
	album.add(new TreeNode("Cruise"));
	album.add(new TreeNode("MugWump"));
	album.add(new TreeNode("Smear"));
	album.add(new TreeNode("Everything"));
	album.add(new TreeNode("Keep"));
	album.add(new TreeNode("Circle"));

	composer.add(album = new TreeNode("Sensative Beak"));
	album.add(new TreeNode("Whatcha Gotta Do"));
	album.add(new TreeNode("Somewhere In This World"));
	album.add(new TreeNode("Awaken"));
	album.add(new TreeNode("Just A Dog"));
	album.add(new TreeNode("I Can Dance"));
	album.add(new TreeNode("Tomorrow"));
	album.add(new TreeNode("Love Who?"));
	album.add(new TreeNode("Is There Something"));
	album.add(new TreeNode("I Like It"));
	album.add(new TreeNode("Easy Chair"));
	album.add(new TreeNode("As We Are One"));
	album.add(new TreeNode("Far Away"));
	album.add(new TreeNode("Leaving Science"));
	album.add(new TreeNode("What A Life"));

	// The Steve Miller Band
	catagory.add(composer = new TreeNode("Steve Miller Band"));
	composer.add(album = new TreeNode("Circle Of Love"));
	album.add(new TreeNode("Heart Like A Wheel"));
	album.add(new TreeNode("Get On Home"));
	album.add(new TreeNode("Baby Wanna Dance"));
	album.add(new TreeNode("Circle Of Love"));
	album.add(new TreeNode("Macho City"));

	composer.add(album = new TreeNode("Fly Like An Eagle"));
	album.add(new TreeNode("Space Intro"));
	album.add(new TreeNode("Fly Like An Eagle"));
	album.add(new TreeNode("Wild Mountain Honey"));
	album.add(new TreeNode("Serenade"));
	album.add(new TreeNode("Dance, Dance, Dance"));
	album.add(new TreeNode("Mercury Blues"));
	album.add(new TreeNode("Take the Money and Run"));
	album.add(new TreeNode("Rockin' Me"));
	album.add(new TreeNode("You Send Me"));
	album.add(new TreeNode("Blue Odyssey"));
	album.add(new TreeNode("Sweet Maree"));
	album.add(new TreeNode("The Window"));

	composer.add(album = new TreeNode("Book Of Dreams"));
	album.add(new TreeNode("Threshold"));
	album.add(new TreeNode("Jet Airliner"));
	album.add(new TreeNode("Winter Time"));
	album.add(new TreeNode("Swingtown"));
	album.add(new TreeNode("True Fine Love"));
	album.add(new TreeNode("Wish Upon A Star"));
	album.add(new TreeNode("Jungle Love"));
	album.add(new TreeNode("Electrolux Imbroglio"));
	album.add(new TreeNode("Sacrifice"));
	album.add(new TreeNode("The Stake"));
	album.add(new TreeNode("My Own Space"));
	album.add(new TreeNode("Babes In The Wood"));

	composer.add(album = new TreeNode("Joker"));
	album.add(new TreeNode("Sugar, Babe"));
	album.add(new TreeNode("Mary Lou"));
	album.add(new TreeNode("Shu Ba Da Du Ma"));
	album.add(new TreeNode("Your Cash Ain't Nothin' But Trash"));
	album.add(new TreeNode("The Joker"));
	album.add(new TreeNode("The Lovin' Cup"));
	album.add(new TreeNode("Come On In My Kitchen"));
	album.add(new TreeNode("Evil"));
	album.add(new TreeNode("Something To Believe In"));

	JTree tree = new JTree(top);

	JScrollPane scrollpane = new JScrollPane();
	scrollpane.getViewport().add(tree);

	add("Center", scrollpane);
    }

}
